VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::networking::dns::ServersTypes::DNSServerConfig Class Reference

`Servers.DNSServerConfig` class This structure represents the configuration state used to determine DNS servers. More...

List of all members.

## Public Member Functions
| DNSServerConfig ()
| Creates a default new instance.
vmware.appliance.networking.dns.ServersTypes.DNSServerMode | GetMode ()
| Define how to determine the DNS servers.
void | SetMode (vmware.appliance.networking.dns.ServersTypes.DNSServerMode mode)
| Define how to determine the DNS servers.
global::System.Collections.Generic.List < string > | GetServers ()
| List of the currently used DNS servers.
void | SetServers (global::System.Collections.Generic.List< string > servers)
| List of the currently used DNS servers.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Servers.DNSServerConfig` class This structure represents the configuration state used to determine DNS servers.

## Constructor & Destructor Documentation

vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::DNSServerConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::GetHashCode | ( |  | ) | `[inline]`

vmware.appliance.networking.dns.ServersTypes.DNSServerMode vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::GetMode | ( |  | ) | `[inline]`

Define how to determine the DNS servers.

Leave the servers argument empty if the mode argument is "DHCP". Set the servers argument to a comma-separated list of DNS servers if the mode argument is "static". The DNS server are assigned from the specified list.

global::System.Collections.Generic.List<string> vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::GetServers | ( |  | ) | `[inline]`

List of the currently used DNS servers.

void vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::SetMode | ( | vmware.appliance.networking.dns.ServersTypes.DNSServerMode | mode | ) | `[inline]`

Define how to determine the DNS servers.

Leave the servers argument empty if the mode argument is "DHCP". Set the servers argument to a comma-separated list of DNS servers if the mode argument is "static". The DNS server are assigned from the specified list.

void vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::SetServers | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

List of the currently used DNS servers.

override string vmware::appliance::networking::dns::ServersTypes::DNSServerConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ServersTypes.cs